* {
  box-sizing: border-box;
}

html {
  font-family: Avenir, Helvetica, "Open-Sans", "Helvetica Neue", Arial, sans-serif;
  font-size: 100%;
}

body {
  display: flex;
  align-items: center;
  justify-content: center;
}

ol {
  list-style: none;
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  grid-template-rows: repeat(5, 1fr);
  grid-column-gap: 10px;
  grid-row-gap: 10px;
}

li {
  border: 2px solid black;
  background: linear-gradient(
    to bottom,
    red 0%,
    red 25%,
    white 25%,
    white 100%
  );
  width: 100px;
  height: 100px;
  display: flex;
  align-items: end;
  justify-content: center;
}

li span {
  font-size: 50px;
}

li:nth-child(2) {
  background: white;
  align-items: center;
  grid-column-start: 1;
  grid-column-end: 1;
  grid-row-start: 1;
  grid-row-end: 1;
  span {
    transform: rotate(135deg);
  }
}

li:nth-child(3) {
  transform: rotate(180deg);
}

li:nth-child(4) {
  transform: rotate(180deg);
}

li:nth-child(5) {
  transform: rotate(180deg);
}

li:nth-child(6) {
  background: white;
  align-items: center;
  grid-column-start: 5;
  grid-column-end: 5;
  grid-row-start: 1;
  grid-row-end: 1;
  span {
    transform: rotate(225deg);
  }
}

li:nth-child(7) {
  grid-column-start: 5;
  grid-column-end: 5;
  grid-row-start: 2;
  grid-row-end: 2;
  transform: rotate(270deg);
}

li:nth-child(8) {
  grid-column-start: 5;
  grid-column-end: 5;
  grid-row-start: 3;
  grid-row-end: 3;
  transform: rotate(270deg);
}
li:nth-child(9) {
  grid-column-start: 5;
  grid-column-end: 5;
  grid-row-start: 4;
  grid-row-end: 4;
  transform: rotate(270deg);
}
li:nth-child(10) {
  grid-column-start: 5;
  grid-column-end: 5;
  grid-row-start: 5;
  grid-row-end: 5;
  background: white;
  span {
    transform: rotate(315deg);
  }
}

li:nth-child(11) {
  grid-column-start: 4;
  grid-column-end: 4;
  grid-row-start: 5;
  grid-row-end: 5;
  transform: rotate(360deg);
}
li:nth-child(12) {
  grid-column-start: 3;
  grid-column-end: 3;
  grid-row-start: 5;
  grid-row-end: 5;
  transform: rotate(360deg);
}
li:nth-child(13) {
  grid-column-start: 2;
  grid-column-end: 2;
  grid-row-start: 5;
  grid-row-end: 5;
  transform: rotate(360deg);
}
li:nth-child(14) {
  grid-column-start: 1;
  grid-column-end: 1;
  grid-row-start: 5;
  grid-row-end: 5;
  background: white;
  span{
    transform: rotate(45deg);
  }
}
li:nth-child(15) {
  grid-column-start: 1;
  grid-column-end: 1;
  grid-row-start: 4;
  grid-row-end: 4;
  transform: rotate(90deg);
}
li:nth-child(16) {
  grid-column-start: 1;
  grid-column-end: 1;
  grid-row-start: 3;
  grid-row-end: 3;
  transform: rotate(90deg);
}
li:nth-child(17) {
  grid-column-start: 1;
  grid-column-end: 1;
  grid-row-start: 2;
  grid-row-end: 2;
  transform: rotate(90deg);
}
li:nth-child(18) {
  grid-column-start: 1;
  grid-column-end: 1;
  grid-row-start: 1;
  grid-row-end: 1;
  transform: rotate(90deg);
}


#logo {
  grid-column: 2 / 5;
  grid-row: 2 / 5;
  width: 100%;
  height: auto;
  align-self: center;
  justify-self: center;
}